Subject: bug#9006: 24.0.50; Abort in unshow_buffer/kill-buffer

From: martin rudalics <[email-masked]>
Date: Wed, 13 Jul 2011 10:37:33 +0200

> PS: On the chance that this crash could be relevant, here are the
 > circumstances and the backtrace.  I was in Gnus, had just opened your
 > post again to reply, and somehow I mistakenly must have type `C-s SPC',
 > because all the spaces in the Summary buffer became covered with
 > lazy-highlight face.  I typed C-g two or three times -- and Emacs
 > crashed hard (segfault); bt full gave no Lisp backtrace.  I have not
 > been able to reproduce this.

Lots of isearch overlays and a header line displaying pbm images are
apparently a pretty explosive mixture ...

 > #0  0x080735ac in compute_line_metrics (it=0xbfffb004)
 >     at /data/steve/bzr/emacs/quickfixes/src/xdisp.c:16789
 >         i = <value optimized out>
 >         min_y = <value optimized out>
 >         max_y = <value optimized out>
 >         row = 0xbf16b10

Could you try working with a non-optimized build?

martin